Chromium Code Reviews
Help | Chromium Project | Sign in
(12)

Issue 7254: Initial Greasemonkey support (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 11 months ago by Aaron Boodman
Modified:
5 years, 3 months ago
CC:
chromium-reviews_googlegroups.com
Visibility:
Public.

Description

Adds a bit of Greasemonkey support hidden behind the --enable-greasemonkey flag. Implementation follows the pattern of the visited links system. Things still to be done: - stop using a hardcoded script directory - watch script directory and update shared memory when necessary - move file io to background thread - support for @include patterns -- now, all scripts are applied to all pages Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=3496

Patch Set 1 #

Patch Set 2 : '' #

Patch Set 3 : '' #

Patch Set 4 : '' #

Patch Set 5 : '' #

Patch Set 6 : '' #

Patch Set 7 : '' #

Patch Set 8 : '' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+383 lines, -18 lines) Patch
M chrome/browser/browser.vcproj View 1 2 3 4 5 6 7 1 chunk +8 lines, -0 lines 0 comments Download
A chrome/browser/greasemonkey_master.h View 1 2 3 4 5 6 1 chunk +47 lines, -0 lines 0 comments Download
chrome/browser/greasemonkey_master.cc View 1 2 3 4 5 6 1 chunk +73 lines, -0 lines 0 comments Download
M chrome/browser/render_process_host.cc View 1 2 3 4 5 6 7 4 chunks +49 lines, -15 lines 0 comments Download
M chrome/common/chrome_paths.h View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_paths.cc View 1 2 3 4 5 6 7 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/common/chrome_switches.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 3 4 5 6 7 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/common/render_messages_internal.h View 1 2 3 4 5 6 7 1 chunk +5 lines, -0 lines 0 comments Download
A chrome/renderer/greasemonkey_slave.h View 3 4 5 6 7 1 chunk +62 lines, -0 lines 0 comments Download
A chrome/renderer/greasemonkey_slave.cc View 3 4 5 6 7 1 chunk +66 lines, -0 lines 0 comments Download
M chrome/renderer/render_thread.h View 1 2 3 4 5 6 7 4 chunks +7 lines, -0 lines 0 comments Download
M chrome/renderer/render_thread.cc View 1 2 3 4 5 6 7 6 chunks +13 lines, -2 lines 0 comments Download
M chrome/renderer/render_view.h View 3 4 5 6 7 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/renderer/render_view.cc View 3 4 5 6 7 4 chunks +16 lines, -1 line 0 comments Download
M chrome/renderer/renderer.vcproj View 3 4 5 6 7 1 chunk +8 lines, -0 lines 0 comments Download
M webkit/glue/webframe.h View 3 4 5 6 7 1 chunk +6 lines, -0 lines 0 comments Download
M webkit/glue/webframe_impl.h View 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M webkit/glue/webframe_impl.cc View 3 4 5 6 7 1 chunk +7 lines, -0 lines 0 comments Download
Trybot results:
Commit queue not available (can’t edit this change).

Messages

Total messages: 11 (0 generated)
Aaron Boodman
7 years, 11 months ago (2008-10-11 05:32:11 UTC) #1
Evan Martin
On 2008/10/11 05:32:11, Aaron Boodman wrote: > This looks pretty good to me... my comments ...
7 years, 11 months ago (2008-10-13 21:51:57 UTC) #2
Evan Martin
Ack, hit wrong button. Here are the comments I promised. http://codereview.chromium.org/7254/diff/241/243 File chrome/browser/greasemonkey_master.cc (right): http://codereview.chromium.org/7254/diff/241/243#newcode29 ...
7 years, 11 months ago (2008-10-13 21:52:16 UTC) #3
Aaron Boodman
Ok, new patch. Thanks for the pointer to Pickle. That makes things much cleaner. As ...
7 years, 11 months ago (2008-10-14 17:42:37 UTC) #4
darin (slow to review)
http://codereview.chromium.org/7254/diff/268/270 File chrome/browser/greasemonkey_master.cc (right): http://codereview.chromium.org/7254/diff/268/270#newcode19 Line 19: file_util::FileEnumerator enumerator(path, false, what thread does this run ...
7 years, 11 months ago (2008-10-14 18:02:44 UTC) #5
cpu
http://codereview.chromium.org/7254/diff/268/270 File chrome/browser/greasemonkey_master.cc (right): http://codereview.chromium.org/7254/diff/268/270#newcode48 Line 48: false, // read-only Why does it need a ...
7 years, 11 months ago (2008-10-15 23:50:15 UTC) #6
Aaron Boodman
Thanks Darin and Carlos. I've uploaded a patch that addresses your comments, except where noted ...
7 years, 11 months ago (2008-10-16 17:32:29 UTC) #7
Aaron Boodman
BTW, I'm thinking more and more that the piggybacking on the loader would have been ...
7 years, 11 months ago (2008-10-16 17:38:03 UTC) #8
Evan Martin
LGTM, only minor nits http://codereview.chromium.org/7254/diff/402/161 File chrome/browser/render_process_host.cc (right): http://codereview.chromium.org/7254/diff/402/161#newcode441 Line 441: if (!visitedlink_master) return; I ...
7 years, 11 months ago (2008-10-16 19:22:50 UTC) #9
Aaron Boodman
One more patch. Also changed the vector to contain GreasemonkeyScript instances instead of pointers, per ...
7 years, 11 months ago (2008-10-16 23:36:35 UTC) #10
DoubleAW
7 years, 11 months ago (2008-10-25 19:42:35 UTC) #11
On 2008/10/11 05:32:11, Aaron Boodman wrote:
> - stop using a hardcoded script directory

Would there be a possibility to subscribe to scripts that are remotely hosted
elsewhere?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d026d65